# Accessibility::Value Interface Reference

`import "Accessibility_Value.idl";`

## Data Fields

readonly attribute double | minimumValue
readonly attribute double | maximumValue
readonly attribute double | minimumIncrement
attribute double | currentValue

## Detailed Description

An interface supporting controls which allow a one-dimensional, scalar quantity to be modified or which reflect a scalar quantity. (If STATE_EDITABLE is not present, the valuator is treated as "read only".

Note:
  Events generated by Image instances include:
  - `"object:value-changed"`

## Field Documentation

attribute double Accessibility::Value::currentValue

The current value of the valuator.

readonly attribute double Accessibility::Value::maximumValue

The maximum value allowed by this valuator.

readonly attribute double Accessibility::Value::minimumIncrement

The smallest incremental change which this valuator allows. If 0, the incremental changes to the valuator are limited only by the precision of a double precision value on the platform.

readonly attribute double Accessibility::Value::minimumValue

The minimum value allowed by this valuator.

The documentation for this interface was generated from the following file:

- /home/gnome-dev/src/at-spi/idl/Accessibility_Value.idl